# GimpUi.DrawableChooser

    const GimpUi = imports.gi.GimpUi;

    let drawableChooser = new GimpUi.DrawableChooser({
        drawable_type: value,
        label: value,
        title: value,
    });

The chooser contains an optional label and a button which queries the core process to pop up a drawable selection dialog.

Since 3.0

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Container
        - Gtk.Box
          - GimpUi.DrawableChooser

## Constructors

- GimpUi.DrawableChooser.new

## Methods

- GimpUi.DrawableChooser.prototype.get_drawable
- GimpUi.DrawableChooser.prototype.get_label
- GimpUi.DrawableChooser.prototype.set_drawable

## Properties

- drawable
- drawable-type
- label
- title